using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;

namespace South_America
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void getCountriesButton_Click(object sender, EventArgs e)
        {
            try
            {
                // Zadeklarowanie zmiennej przechowującej nazwę kraju. 
                string countryName;

                // Zadeklarowanie zmiennej typu StringReader.
                StreamReader inputFile;
                
                // Otworzenie pliku i pobranie obiektu StreamReader. 
                inputFile = File.OpenText("Countries.txt");
                
                // Usunięcie całej zawartości kontrolki ListBox. 
                countriesListBox.Items.Clear();
                
                // Odczytanie zawartości pliku. 
                while (!inputFile.EndOfStream)
                {
                    // Pobranie nazwy kraju. 
                    countryName = inputFile.ReadLine();
                    
                    // Dodanie nazwy kraju do kontrolki ListBox. 
                    countriesListBox.Items.Add(countryName);
                }

                // Zamknięcie pliku. 
                inputFile.Close();
            }
            catch (Exception ex)
            {
                // Wyświetlenie komunikatu błędu. 
                MessageBox.Show(ex.Message);
            }
        }

        private void exitButton_Click(object sender, EventArgs e)
        {
            // Zamknięcie formularza. 
            this.Close();
        }
    }
}
